Enumerations

# order_widget.h File Reference

Types related to the order widgets. More...

Go to the source code of this file.

## Enumerations
enum | OrderWidgets { WID_O_CAPTION, WID_O_TIMETABLE_VIEW, WID_O_ORDER_LIST, WID_O_SCROLLBAR, WID_O_SKIP, WID_O_DELETE, WID_O_STOP_SHARING, WID_O_NON_STOP, WID_O_GOTO, WID_O_FULL_LOAD, WID_O_UNLOAD, WID_O_REFIT, WID_O_SERVICE, WID_O_EMPTY, WID_O_REFIT_DROPDOWN, WID_O_COND_VARIABLE, WID_O_COND_COMPARATOR, WID_O_COND_VALUE, WID_O_SEL_TOP_LEFT, WID_O_SEL_TOP_MIDDLE, WID_O_SEL_TOP_RIGHT, WID_O_SEL_TOP_ROW_GROUNDVEHICLE, WID_O_SEL_TOP_ROW, WID_O_SEL_BOTTOM_MIDDLE, WID_O_SHARED_ORDER_LIST }
| Widgets of the OrdersWindow class. More...

## Detailed Description

Types related to the order widgets.

Definition in file order_widget.h.

## Enumeration Type Documentation

enum OrderWidgets

Widgets of the OrdersWindow class.

Enumerator:

  WID_O_CAPTION | Caption of the window.
  WID_O_TIMETABLE_VIEW | Toggle timetable view.
  WID_O_ORDER_LIST | Order list panel.
  WID_O_SCROLLBAR | Order list scrollbar.
  WID_O_SKIP | Skip current order.
  WID_O_DELETE | Delete selected order.
  WID_O_STOP_SHARING | Stop sharing orders.
  WID_O_NON_STOP | Goto non-stop to destination.
  WID_O_GOTO | Goto destination.
  WID_O_FULL_LOAD | Select full load.
  WID_O_UNLOAD | Select unload.
  WID_O_REFIT | Select refit.
  WID_O_SERVICE | Select service (at depot).
  WID_O_EMPTY | Placeholder for refit dropdown when not owner.
  WID_O_REFIT_DROPDOWN | Open refit options.
  WID_O_COND_VARIABLE | Choose condition variable.
  WID_O_COND_COMPARATOR | Choose condition type.
  WID_O_COND_VALUE | Choose condition value.
  WID_O_SEL_TOP_LEFT | NWID_SELECTION widget for left part of the top row of the 'your train' order window.
  WID_O_SEL_TOP_MIDDLE | NWID_SELECTION widget for middle part of the top row of the 'your train' order window.
  WID_O_SEL_TOP_RIGHT | NWID_SELECTION widget for right part of the top row of the 'your train' order window.
  WID_O_SEL_TOP_ROW_GROUNDVEHICLE | NWID_SELECTION widget for the top row of the 'your train' order window.
  WID_O_SEL_TOP_ROW | NWID_SELECTION widget for the top row of the 'your non-trains' order window.
  WID_O_SEL_BOTTOM_MIDDLE | NWID_SELECTION widget for the middle part of the bottom row of the 'your train' order window.
  WID_O_SHARED_ORDER_LIST | Open list of shared vehicles.

Definition at line 16 of file order_widget.h.